#!/bin/bash
#
# X-tee MISP2 portaalide XForms mootori (Orbeon) install
#
# Aktors 2012
# 29.02.2012 versioon

xrd_prefix=/usr/xtee
tomcat_home=/var/lib/tomcat7 

if [ ! -d $tomcat_home/webapps ]
then
	echo -n "Please provide Apache Tomcat client working directory [$tomcat_home]? "
	read user_tomcat < /dev/tty
	if [ "$user_tomcat" == "" ]
	then
		user_tomcat=$tomcat_home
	fi
	tomcat_home=$user_tomcat
fi


if [ ! -d $tomcat_home/webapps ]
then
	echo "$tomcat_home/webapps is not found"
	exit 1
fi

### copy orbeon.war to webapps directory and then restart tomcat in order to deploy orbeon
rm $tomcat_home/webapps/orbeon* -rf
cp $xrd_prefix/orbeon/*.war $tomcat_home/webapps/

if [ ! -f /etc/init.d/tomcat7 ]
then
        echo "Shutdown Tomcat..."
        $tomcat_home/bin/shutdown.sh
        echo "Tomcat starting up..."
        $tomcat_home/bin/startup.sh
else
        /etc/init.d/tomcat7 restart
fi


# wait first for 3 seconds before the previous folder is deleted
sleep 3
# infinite loop until the required folders are created
while :
do
	echo "...Waiting for the orbeon/WEB-INF/resources/config folder to be created by Tomcat..."
	if [[ -d $tomcat_home/webapps/orbeon/WEB-INF/resources/config ]]
	then
		break       	   #Abandon the loop.
	fi
	sleep 2
done
sleep 1 # sleep one more second so that tomcat has time finish copying files to the directories


if [ -d $tomcat_home/webapps/orbeon/WEB-INF/resources/config ]
then
	echo "Orbeon application added successfully"
else
	echo "Cannot copy configuration files! Check if Tomcat have deployed orbeon.war in /webapps directory"
fi

#	echo "Copying configuration files..."
#	cp $xrd_prefix/orbeon/properties-local.xml $tomcat_home/webapps/orbeon/WEB-INF/resources/config/
#	cp $xrd_prefix/orbeon/theme-orbeon.xsl $tomcat_home/webapps/orbeon/WEB-INF/resources/config/
#	cp $xrd_prefix/orbeon/log4j.xml $tomcat_home/webapps/orbeon/WEB-INF/resources/config/
#else
#	echo "Cannot copy configuration files! Check if Tomcat have deployed orbeon application in /webapps directory"
#fi

